plist-cil 1.13.0.0 1.14.0.0 Claunia.PropertyList.NSObject Represents an Array. To be added.
- Constructor
  1.13.0.0
  1.14.0.0
  System.ParamArray
  The array which should be wrapped by the NSArray.
  Creates a array from an existing one
  To be added.
- Constructor
  1.13.0.0
  1.14.0.0
  The number of elements this array will be able to hold.
  Creates an empty array of the given length.
  To be added.
- Method
  1.13.0.0
  1.14.0.0
  System.Boolean `` The object to look for. Checks whether an object is present in the array or whether it is equal to any of the objects in the array. true, when the object could be found. false otherwise. To be added.
- Property
  1.13.0.0
  1.14.0.0
  System.Int32 Returns the size of the array. The number of elements that this array can store. To be added.
- Method
  1.13.0.0
  1.14.0.0
  System.Boolean `` The to compare with the current . Determines whether the specified is equal to the current . true if the specified is equal to the current ; otherwise, false. To be added.
- Method
  1.13.0.0
  1.14.0.0
  System.Boolean `` The to compare with the current . Determines whether the specified is equal to the current . true if the specified is equal to the current ; otherwise, false. To be added.
- Method
  1.13.0.0
  1.14.0.0
  Claunia.PropertyList.NSObject[] Returns the array of NSObjects represented by this NSArray. Any changes to the values of this array will also affect the NSArray. The actual array represented by this NSArray. To be added.
- Method
  1.13.0.0
  1.14.0.0
  System.Int32 Serves as a hash function for a object. A hash code for this instance that is suitable for use in hashing algorithms and data structures such as a hash table. To be added.
- Method
  1.13.0.0
  1.14.0.0
  System.Int32 `` The object to look for. Searches for an object in the array. If it is found its index will be returned. This method only returns the index of an object that is identical to the given one. Thus objects that might contain the same value as the given one will not be considered. The index of the object, if it was found. -1 otherwise. To be added.
- Method
  1.13.0.0
  1.14.0.0
  System.Int32 `` The object to look for. Searches for an object in the array. If it is found its index will be returned. This method also returns an index if the object is not the same as the one stored in the array but has equal contents. The index of the object, if it was found. -1 otherwise. To be added.
- Method
  1.13.0.0
  1.14.0.0
  Claunia.PropertyList.NSObject Returns the last object contained in this array. The value of the highest index in the array. To be added.
- Method
  1.13.0.0
  1.14.0.0
  Claunia.PropertyList.NSObject `` The index of the object. Returns the object stored at the given index. The object at the given index. To be added.
- Method
  1.13.0.0
  1.14.0.0
  Claunia.PropertyList.NSObject[] `System.ParamArray` The indices of the objects. Returns a new array containing only the values stored at the given indices. The values are sorted by their index. The new array containing the objects stored at the given indices. To be added.
- Method
  1.13.0.0
  1.14.0.0
  System.Void `` The index of the object Remove the i-th element from the array. The array will be resized. To be added.
- Method
  1.13.0.0
  1.14.0.0
  System.Void `` `` The index where to store the object. The object. Stores an object at the specified index. If there was another object stored at that index it will be replaced. To be added.
- Method
  1.13.0.0
  1.14.0.0
  System.String

  Generates a valid ASCII property list which has this NSArray as its root object.

  The generated property list complies with the format as described in https://developer.apple.com/library/mac/#documentation/Cocoa/Conceptual/PropertyLists/OldStylePlists/OldStylePLists.html Property List Programming Guide - Old-Style ASCII Property Lists.

  ASCII representation of this object. To be added.
- Method
  1.13.0.0
  1.14.0.0
  System.String

  Generates a valid ASCII property list in GnuStep format which has this NSArray as its root object.

  The generated property list complies with the format as described in http://www.gnustep.org/resources/documentation/Developer/Base/Reference/NSPropertyList.html GnuStep - NSPropertyListSerialization class documentation.

  GnuStep ASCII representation of this object. To be added.